---
title: List
slug: reference/bynh-list
docTags: 
createdAt: 2025-07-10T21:22:34.175Z
---

{
  "id": "XziQhbvuC2bHWKMX91D2y",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://app.amberflo.io/business-unit/chargeback/rate-override",
    "servers": [
      {
        "url": "https://app.amberflo.io/business-unit/chargeback/rate-override"
      }
    ],
    "name": "List",
    "description": "List business unit chargeback rate overrides",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer<int32>",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "businessUnitIds",
          "type": "array",
          "description": "Filter for these business units.",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "providers",
          "type": "array",
          "description": "Filter for these providers.",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "services",
          "type": "array",
          "description": "Filter for these services.",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "meterApiNames",
          "type": "array",
          "description": "Filter for these meters.",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "timeInSeconds",
          "type": "integer<int64>",
          "description": "<p>Filter for items active at this point in time, in <a href=\"https://en.wikipedia.org/wiki/Unix_time\" target=\"_blank\">Unix time</a> (seconds).</p>"
        },
        {
          "kind": "optional",
          "name": "startTimeInSeconds",
          "type": "integer<int64>",
          "description": "<p>Filter for items active after (inclusive) this point in time, in <a href=\"https://en.wikipedia.org/wiki/Unix_time\" target=\"_blank\">Unix time</a> (seconds).</p>"
        },
        {
          "kind": "optional",
          "name": "endTimeInSeconds",
          "type": "integer<int64>",
          "description": "<p>Filter for items active before (exclusive) this point in time, in <a href=\"https://en.wikipedia.org/wiki/Unix_time\" target=\"_blank\">Unix time</a> (seconds).</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "business_unit.chargeback_rate.configuration.query.BusinessUnitChargebackRateOverridePage.out",
            "schema": [
              {
                "name": "metadata",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/business_unit.chargeback_rate.configuration.query.BusinessUnitChargebackRateOverridePageMetadata.out",
                "customType": "business_unit.chargeback_rate.configuration.query.BusinessUnitChargebackRateOverridePageMetadata.out",
                "schema": [
                  {
                    "name": "limit",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "page",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "businessUnitIds",
                    "kind": "optional",
                    "type": "array",
                    "description": "Filter for these business units.",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "providers",
                    "kind": "optional",
                    "type": "array",
                    "description": "Filter for these providers.",
                    "modelRef": "#/components/schemas/business_unit.common.DataProvider.out",
                    "customType": "business_unit.common.DataProvider.out[]",
                    "schema": []
                  },
                  {
                    "name": "services",
                    "kind": "optional",
                    "type": "array",
                    "description": "Filter for these services.",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "meterApiNames",
                    "kind": "optional",
                    "type": "array",
                    "description": "Filter for these meters.",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "timeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Filter for items active at this point in time, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "startTimeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Filter for items active after (inclusive) this point in time, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "endTimeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Filter for items active before (exclusive) this point in time, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "totalRowCount",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "filteredRowCount",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "totalFilteredPages",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  }
                ]
              },
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/business_unit.chargeback_rate.configuration.BusinessUnitChargebackRateOverride.out",
                "customType": "business_unit.chargeback_rate.configuration.BusinessUnitChargebackRateOverride.out[]",
                "schema": [
                  {
                    "name": "businessUnitId",
                    "kind": "required",
                    "type": "string",
                    "description": "The id of the business unit to which this plan is applied.",
                    "example": ""
                  },
                  {
                    "name": "provider",
                    "kind": "required",
                    "type": "string",
                    "description": "Name of the cloud provider",
                    "modelRef": "#/components/schemas/business_unit.common.DataProvider.out",
                    "customType": "business_unit.common.DataProvider.out",
                    "schema": []
                  },
                  {
                    "name": "service",
                    "kind": "optional",
                    "type": "string",
                    "description": "Name of the cloud service. Required when `provider != amberflo`, otherwise not allowed.",
                    "example": ""
                  },
                  {
                    "name": "meterApiName",
                    "kind": "optional",
                    "type": "string",
                    "description": "`meterApiName` as defined in [Meter API](ref:post_meters). Required when `provider = amberflo`, otherwise not allowed.",
                    "example": ""
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "description": "Description of this chargeback configuration.",
                    "example": ""
                  },
                  {
                    "name": "model",
                    "kind": "required",
                    "type": "object",
                    "description": "Model of how to compute the chargeback amount based on the underlying usage cost.",
                    "modelRef": "#/components/schemas/business_unit.chargeback_rate.rate.ChargebackRate.out",
                    "customType": "business_unit.chargeback_rate.rate.ChargebackRate.out",
                    "schema": [
                      {
                        "name": "type",
                        "kind": "required",
                        "type": "string",
                        "example": "",
                        "default": "rate"
                      },
                      {
                        "name": "rate",
                        "kind": "required",
                        "type": "number",
                        "description": "A rate to apply to the raw usage price. The value will be multiplied by the raw usage price to get the final chargeback price.\n\nFor instance, 0 means a full discount, while 1.1 means a 10% markup.\n",
                        "example": ""
                      }
                    ]
                  },
                  {
                    "name": "startTimeInSeconds",
                    "kind": "required",
                    "type": "integer<int64>",
                    "description": "The start time (inclusive) of the period in which this plan has effect, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "endTimeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "The end time (exclusive) of the period in which this plan has effect, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).\n\nWhen not set, this chargeback configuration will be applied until the next one starts.\n\nThis should only be used for manually and explicitly ending the period.\n",
                    "example": 0
                  },
                  {
                    "name": "createTimeInMillis",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "example": 0
                  },
                  {
                    "name": "updateTimeInMillis",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "example": 0
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/business_unit.chargeback_rate.configuration.query.BusinessUnitChargebackRateOverridePage.out",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "zerlI7vkep6_PwH_n75PL",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://app.amberflo.io/business-unit/chargeback/rate-override \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ERfIaODSbXuMCDPzKoags",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/business-unit/chargeback/rate-override\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "ynVR2wXy4BSh4UMXS7Elq",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/business-unit/chargeback/rate-override\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "RoViMHeT3x6NEw-kw7yVj",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/business-unit/chargeback/rate-override\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "zerlI7vkep6_PwH_n75PL"
    },
    "results": {
      "languages": [
        {
          "id": "Nr5u11G5lXAvb9BhBskf_",
          "language": "200",
          "code": "// Successful request\n{\n  \"metadata\": {\n    \"limit\": \"\",\n    \"page\": \"\",\n    \"businessUnitIds\": [\n      \"\"\n    ],\n    \"providers\": [\n      \"\"\n    ],\n    \"services\": [\n      \"\"\n    ],\n    \"meterApiNames\": [\n      \"\"\n    ],\n    \"timeInSeconds\": \"\",\n    \"startTimeInSeconds\": \"\",\n    \"endTimeInSeconds\": \"\",\n    \"totalRowCount\": \"\",\n    \"filteredRowCount\": \"\",\n    \"totalFilteredPages\": \"\"\n  },\n  \"items\": [\n    {\n      \"businessUnitId\": \"\",\n      \"provider\": \"\",\n      \"service\": \"\",\n      \"meterApiName\": \"\",\n      \"description\": \"\",\n      \"model\": {\n        \"type\": \"\",\n        \"rate\": 0\n      },\n      \"startTimeInSeconds\": \"\",\n      \"endTimeInSeconds\": \"\",\n      \"createTimeInMillis\": \"\",\n      \"updateTimeInMillis\": \"\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "Nr5u11G5lXAvb9BhBskf_"
    }
  },
  "children": [
    {
      "id": "wKJ3VEyUXD5q1pj9d7hpF",
      "type": "paragraph",
      "children": [
        {
          "text": "List business unit chargeback rate overrides",
          "id": "OfMEylP5qwxiTnCtpsLqU"
        }
      ]
    }
  ]
}